package org.ts.ddcs.worker;


import java.util.concurrent.Callable;

public class LogSelectWorker implements Callable<Integer> {
    private String log;

    LogSelectWorker(String log) {
        this.log = log;
    }

    @Override
    public Integer call() throws Exception {
        try {
//            if (log.contains("success pick datagram")) {
//                DataProcessHolder.newInstance().dataProcess.SubmitSplitLogTask(log);
//            }else if (log.contains("***Receive String Hex:")){
//                DataProcessHolder.newInstance().dataProcess.SubmitSplitLzLogTask(log);
//            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return 0;
    }
}
